#
# spec file to build SRPMS and RPMS cole packages.
#

#
# this is NOT a relocatable package (because cole-config script).
#


# PREAMBLE
Summary:  cole is a free C OLE library.
Name:  cole
Version:  2.0.1
Release:  1
Copyright:  GPL
Group:  Libraries
Source:  http://arturo.directmail.org/filtersweb/archive/cole-2.0.1.tar.gz
URL:  http://arturo.directmail.org/filtersweb/
Packager:  Arturo Tena <arturo@directmail.org>
Prefix:  /usr/local

%description
Using cole, you can access Microsoft' `Structured Storage' files. The most
popular Microsoft's programs generate `Structured Storage' files, incluiding
the Microsoft' suite for offices. StarDivision' suite (StarOffice) generated
files and FlashPix files are `Structured Storage' files too.


# PREP
%prep
%setup
# %setup -q


# BUILD
%build
./configure --prefix=/usr/local
make


# INSTALL
%install
make install


# CLEAN
%clean
# rm -rf $RPM_BUILD_ROOT
make uninstall


# POST
# %post -p /sbin/ldconfig
%post
/sbin/ldconfig


# POST UNINSTALL
# %postun -p /sbin/ldconfig
%postun
/sbin/ldconfig


# FILES
# %files
# %doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO DOWNLOAD
%files
%defattr(-, root, root)
/usr/local/include/cole/*
/usr/local/lib/*
/usr/local/bin/*
/usr/local/share/aclocal/*


# %changelog

